View Issue Details

IDProjectCategoryView StatusLast Update
0000060WolfAdminSetup & Configurationpublic2019-01-03 11:11
ReporterTimoAssigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000060: Add TOML support
DescriptionCreate a self-managed config system (files/database) and use this for WolfAdmin settings, to avoid the ET engine handling our CVARs (saving memory).

Proposed alternative to CVARs will be TOML.
Additional InformationSee https://github.com/toml-lang/toml for language specification
See https://github.com/jonstoler/lua-toml for Lua implementation
TagsNo tags attached.
ModN/A
Mod version
Standaloneno

Relationships

related to 0000008 newTimo Variable configurations 

Activities

Timo

2017-03-14 22:49

administrator   ~0000103

Probably also move greetings, rules and spree messages into the TOML file or make it possible to include/reference other TOML files.

Timo

2017-03-15 14:02

administrator   ~0000104

Last edited: 2017-03-15 14:02

View 2 revisions

Implemented in changesets 8d14486d613f14622fb01cdff436d9c8c94630a5 and 39caf003a70c64007146c020c1a1785f0013b9dc.

Related Changesets

WolfAdmin: develop/1.2.0 8d14486d

2017-03-14 22:43:15

Timo

Details Diff
Add support for TOML-formatted configs (refs 0000060)

* added lua-toml as dependency
* removed cvars.cfg
* removed wolfadmin.cfg
* added wolfadmin.toml
* created compatibility checks for old configs
Affected Issues
0000060
rm - config/cvars.cfg Diff File
rm - config/wolfadmin.cfg Diff File
add - config/wolfadmin.toml Diff File
mod - luamods/wolfadmin/util/settings.lua Diff File

WolfAdmin: develop/1.2.0 39caf003

2017-03-15 13:43:16

Timo

Details Diff
Ported greetings, rules and spree messages to TOML format Affected Issues
0000060
rm - config/greetings.cfg Diff File
add - config/greetings.toml Diff File
rm - config/rules.cfg Diff File
add - config/rules.toml Diff File
rm - config/sprees.cfg Diff File
add - config/sprees.toml Diff File
mod - config/wolfadmin.toml Diff File
mod - luamods/wolfadmin/admin/rules.lua Diff File
mod - luamods/wolfadmin/game/sprees.lua Diff File
mod - luamods/wolfadmin/players/greetings.lua Diff File
mod - luamods/wolfadmin/util/settings.lua Diff File

WolfAdmin: develop/1.2.0 da4fd9d2

2019-01-03 11:10:35

Timo

Details Diff
Implemented checks for availability of TOML files (refs 0000060) Affected Issues
0000060
mod - luamods/wolfadmin/admin/rules.lua Diff File
mod - luamods/wolfadmin/players/greetings.lua Diff File

Issue History

Date Modified Username Field Change
2016-08-02 09:44 Timo New Issue
2016-08-06 18:53 Timo Relationship added related to 0000008
2016-08-06 18:53 Timo Category General => Setup & Configuration
2017-03-14 22:40 Timo Summary Remove CVARs => Add TOML support
2017-03-14 22:40 Timo Description Updated View Revisions
2017-03-14 22:40 Timo Additional Information Updated View Revisions
2017-03-14 22:45 Timo Changeset attached => WolfAdmin develop/1.2.0 8d14486d
2017-03-14 22:49 Timo Note Added: 0000103
2017-03-14 22:49 Timo Assigned To => Timo
2017-03-14 22:49 Timo Status new => assigned
2017-03-15 13:57 Timo Changeset attached => WolfAdmin develop/1.2.0 39caf003
2017-03-15 14:02 Timo Note Added: 0000104
2017-03-15 14:02 Timo Status assigned => resolved
2017-03-15 14:02 Timo Fixed in Version => 1.2.0
2017-03-15 14:02 Timo Resolution open => fixed
2017-03-15 14:02 Timo Note Edited: 0000104 View Revisions
2019-01-03 11:11 Timo Changeset attached => WolfAdmin develop/1.2.0 da4fd9d2